
Echo OFF
Rem UndupBat.Bat  23 JUL 2006
Rem Example use of freeware PGN duplicate-game elimination utilities.
Rem This example cleans the Dusan S. PGN database which is available 
Rem from  http://www.chesscollect.com/PGNDownloads.html
Rem I downloaded those 15 files into a folder named \raw and then
Rem unzipped them obtaining Dusan00.PGN, Dusan01.PGN,.....Dusan14.PGN.
Rem
Rem Before running this process, make sure the executable files are in
Rem the same folder or on the path. This includes PGNTRIM5.EXE,
Rem PGundup1.EXE, PGundup3.EXE, Qsort.EXE, and PGNSCID.EXE (optional).

PGNTRIM5 c:\raw\Dusan00.PGN D00.PGN
PGNTRIM5 c:\raw\Dusan01.PGN D01.PGN
PGNTRIM5 c:\raw\Dusan02.PGN D02.PGN
PGNTRIM5 c:\raw\Dusan03.PGN D03.PGN
PGNTRIM5 c:\raw\Dusan04.PGN D04.PGN
PGNTRIM5 c:\raw\Dusan05.PGN D05.PGN
PGNTRIM5 c:\raw\Dusan06.PGN D06.PGN
PGNTRIM5 c:\raw\Dusan07.PGN D07.PGN
PGNTRIM5 c:\raw\Dusan08.PGN D08.PGN
PGNTRIM5 c:\raw\Dusan09.PGN D09.PGN
PGNTRIM5 c:\raw\Dusan10.PGN D10.PGN
PGNTRIM5 c:\raw\Dusan11.PGN D11.PGN
PGNTRIM5 c:\raw\Dusan12.PGN D12.PGN
PGNTRIM5 c:\raw\Dusan13.PGN D13.PGN
PGNTRIM5 c:\raw\Dusan14.PGN D14.PGN

PGUNDUP1 D00.PGN D00.111
PGUNDUP1 D01.PGN D01.111
PGUNDUP1 D02.PGN D02.111
PGUNDUP1 D03.PGN D03.111
PGUNDUP1 D04.PGN D04.111
PGUNDUP1 D05.PGN D05.111
PGUNDUP1 D06.PGN D06.111
PGUNDUP1 D07.PGN D07.111
PGUNDUP1 D08.PGN D08.111
PGUNDUP1 D09.PGN D09.111
PGUNDUP1 D10.PGN D10.111
PGUNDUP1 D11.PGN D11.111
PGUNDUP1 D12.PGN D12.111
PGUNDUP1 D13.PGN D13.111
PGUNDUP1 D14.PGN D14.111

qsort D00.111
qsort D01.111
qsort D02.111
qsort D03.111
qsort D04.111
qsort D05.111
qsort D06.111
qsort D07.111
qsort D08.111
qsort D09.111
qsort D10.111
qsort D11.111
qsort D12.111
qsort D13.111
qsort D14.111

PGUNDUP3 D00.111 D00.PGN
PGUNDUP3 D01.111 D01.PGN
PGUNDUP3 D02.111 D02.PGN
PGUNDUP3 D03.111 D03.PGN
PGUNDUP3 D04.111 D04.PGN
PGUNDUP3 D05.111 D05.PGN
PGUNDUP3 D06.111 D06.PGN
PGUNDUP3 D07.111 D07.PGN
PGUNDUP3 D08.111 D08.PGN
PGUNDUP3 D09.111 D09.PGN
PGUNDUP3 D10.111 D10.PGN
PGUNDUP3 D11.111 D11.PGN
PGUNDUP3 D12.111 D12.PGN
PGUNDUP3 D13.111 D13.PGN
PGUNDUP3 D14.111 D14.PGN

PGNSCID D00.PGN
PGNSCID D01.PGN
PGNSCID D02.PGN
PGNSCID D03.PGN
PGNSCID D04.PGN
PGNSCID D05.PGN
PGNSCID D06.PGN
PGNSCID D07.PGN
PGNSCID D08.PGN
PGNSCID D09.PGN
PGNSCID D10.PGN
PGNSCID D11.PGN
PGNSCID D12.PGN
PGNSCID D13.PGN
PGNSCID D14.PGN


